RHEL 7:procps-ng (RHSA-2019:2401)

high Nessus Plugin ID 127718

Synopsis

遠端 Red Hat 主機缺少一個或多個安全性更新。

描述

現已提供適用於 Red Hat Enterprise Linux 7.3 Advanced Update Support、Red Hat Enterprise Linux 7.3 Telco Extended Update Support 和 Red Hat Enterprise Linux 7.3 Update Services for SAP Solutions 的 procps-ng 更新。Red Hat 產品安全性團隊已將此更新評等為具有重要安全性影響。可從〈參照〉一節的 CVE 連結中取得每個弱點之常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。procps-ng 套件包含一組系統公用程式,可提供系統資訊,包含 ps、free、skill、pkill、pgrep、snice、tload、top、uptime、vmstat、w、watch 以及 pwdx。安全性修正:* procps-ng、procps:整數溢位 file2strvec 中導致堆積溢位 (CVE-2018-1124) 如需安全性問題的詳細資料,包括影響、CVSS 分數、致謝及其他相關資訊,請參閱〈參照〉一節列出的 CVE 頁面。

解決方案

更新受影響的套件。

另請參閱

https://access.redhat.com/errata/RHSA-2019:2401

https://access.redhat.com/security/cve/cve-2018-1124

Plugin 詳細資訊

嚴重性: High

ID: 127718

檔案名稱: redhat-RHSA-2019-2401.nasl

版本: 1.5

類型: local

代理程式: unix

已發布: 2019/8/12

已更新: 2019/10/24

支持的傳感器: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Medium

基本分數: 4.6

時間分數: 3.6

媒介: AV:L/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:POC/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 7

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:redhat:enterprise_linux:procps-ng, p-cpe:/a:redhat:enterprise_linux:procps-ng-debuginfo, p-cpe:/a:redhat:enterprise_linux:procps-ng-devel, p-cpe:/a:redhat:enterprise_linux:procps-ng-i18n, cpe:/o:redhat:enterprise_linux:7.3

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2019/8/7

弱點發布日期: 2018/5/23

參考資訊

CVE: CVE-2018-1124

RHSA: 2019:2401